Module jdk.jshell
Package jdk.jshell

## Interface SourceCodeAnalysis.Documentation

Enclosing class:
  SourceCodeAnalysis

    public static interface SourceCodeAnalysis.Documentation

A documentation for a candidate for continuation of the given user's input.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `javadoc()` The javadoc of the given element.
`String` `signature()` The signature of the given element.

### Method Detail

#### signature

    String signature()

The signature of the given element.

Returns:
  the signature

#### javadoc

    String javadoc()

The javadoc of the given element.

Returns:
  the javadoc, or null if not found or not requested